import { FC } from "react";
import { ChainDetail } from "@connext/vector-sdk";
import { ErrorStates } from "../../constants";
export interface ErrorProps {
    error: Error;
    title: string;
    senderChannelAddress?: string;
    recipientChannelAddress?: string;
    switchNetwork?: () => void;
    retry?: () => void;
    handleRecoveryButton?: () => void;
    options: () => void;
    handleBack: () => void;
    senderChainInfo?: ChainDetail;
    receiverChainInfo: ChainDetail;
    receiverAddress: string;
    state: ErrorStates;
}
declare const Error: FC<ErrorProps>;
export default Error;
