import React from "react";
interface IconBoxProps {
    width?: string;
}
export declare const IconBox: import("styled-components").StyledComponent<"div", any, IconBoxProps, never>;
export declare const WarningIcon: () => JSX.Element;
export declare const CopyIcon: () => JSX.Element;
export declare const CheckCircleIcon: () => JSX.Element;
declare type IconButtonProps = {
    onClick: (e?: React.MouseEvent) => void;
    isSelected?: boolean;
    isDisabled?: boolean;
};
export declare const IconButton: import("styled-components").StyledComponent<"button", any, IconButtonProps, never>;
declare type IconContainerProps = {
    fontSize?: string;
};
export declare const IconContainer: import("styled-components").StyledComponent<"div", any, IconContainerProps, never>;
export declare const CloseButton: ({ onClick, isSelected, isDisabled }: IconButtonProps) => JSX.Element;
export declare const BackButton: ({ onClick, isSelected, isDisabled }: IconButtonProps) => JSX.Element;
export declare const MenuButton: ({ onClick, isSelected }: IconButtonProps) => JSX.Element;
export {};
