import React from "react";
declare type MenuListProps = {
    children?: React.ReactNode;
    hidden: boolean;
};
export declare const MenuList: ({ children, hidden }: MenuListProps) => JSX.Element;
declare type MenuItemProps = {
    children?: React.ReactNode | string;
    onClick: (e?: React.MouseEvent) => void;
} & React.ButtonHTMLAttributes<HTMLButtonElement>;
export declare const MenuItem: import("styled-components").StyledComponent<"button", any, MenuItemProps, never>;
export default function useWindowDimensions(): {
    width: number;
    height: number;
};
export {};
