import { FC } from "react";
import { ChainDetail, TransferQuote } from "@connext/vector-sdk";
export interface TransferProps {
    onUserInput: (_input: string | undefined, receiveExactAmount: boolean) => Promise<TransferQuote | undefined>;
    swapRequest: () => void;
    options: () => void;
    isLoad: boolean;
    inputReadOnly: boolean;
    senderChainInfo: ChainDetail;
    receiverChainInfo: ChainDetail;
    receiverAddress: string;
    senderAmount: string | undefined;
    vaultName: string;
    recipientAmount: string | undefined;
    feeQuote: string | undefined;
    swapRate: string | undefined;
    existingChannelBalance?: string;
    amountError?: string;
    userAddress?: string;
    userBalance?: string;
}
declare const Swap: FC<TransferProps>;
export default Swap;
