export declare const ERROR_STATES: {
    readonly ERROR_SETUP: "ERROR_SETUP";
    readonly ERROR_TRANSFER: "ERROR_TRANSFER";
    readonly ERROR_NETWORK: "ERROR_NETWORK";
    readonly ERROR_RECOVER: "ERROR_RECOVER";
};
export declare type ErrorStates = keyof typeof ERROR_STATES;
export declare const SCREEN_STATES: {
    readonly ERROR_SETUP: "ERROR_SETUP";
    readonly ERROR_TRANSFER: "ERROR_TRANSFER";
    readonly ERROR_NETWORK: "ERROR_NETWORK";
    readonly ERROR_RECOVER: "ERROR_RECOVER";
    readonly LOADING: "LOADING";
    readonly USER_INFO: "USER_INFO";
    readonly EXISTING_BALANCE: "EXISTING_BALANCE";
    readonly HISTORY: "HISTORY";
    readonly SWAP: "SWAP";
    readonly RECOVER: "RECOVER";
    readonly RECOVER_SUCCESS: "RECOVER_SUCCESS";
    readonly LISTENER: "LISTENER";
    readonly STATUS: "STATUS";
    readonly SUCCESS: "SUCCESS";
};
export declare type ScreenStates = keyof typeof SCREEN_STATES;
